org.eclipse.cdt.core.dom.ast

## Interface IASTReturnStatement

All Superinterfaces:
  IASTAttributeOwner, IASTNode, IASTStatement

    public interface IASTReturnStatement
    extends IASTStatement

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `RETURNVALUE`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTReturnStatement` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTReturnStatement` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTInitializerClause` `getReturnArgument()` Returns the return value as `IASTInitializerClause`, or `null`.
`IASTExpression` `getReturnValue()` This is the optional return value for this function.
`void` `setReturnArgument(IASTInitializerClause returnValue)` Not allowed on frozen AST.
`void` `setReturnValue(IASTExpression returnValue)` Not allowed on frozen AST.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### RETURNVALUE

    static final ASTNodeProperty RETURNVALUE

### Method Detail

#### getReturnValue

    IASTExpression getReturnValue()

This is the optional return value for this function.

Returns:
  the return expression or `null`.

#### getReturnArgument

    IASTInitializerClause getReturnArgument()

Returns the return value as `IASTInitializerClause`, or `null`. In C++ this can be an braced initializer list.

Since:
  5.2

#### setReturnArgument

    void setReturnArgument(IASTInitializerClause returnValue)

Not allowed on frozen AST.

Since:
  5.2

#### setReturnValue

    void setReturnValue(IASTExpression returnValue)

Not allowed on frozen AST.

#### copy

    IASTReturnStatement copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Since:
  5.1

#### copy

    IASTReturnStatement copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3